View Issue Details

IDProjectCategoryView StatusLast Update
0023542mantisbtcode cleanuppublic2017-10-28 19:08
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023542: Force composer to honor PHP compatibility advertised for MantisBT
Description

When the command composer update is run, it pulls in libraries based on the PHP runtime used. Since we are often running on some version of PHP 7, this may pull in dependencies for PHP 7 assuming that the same version is used in production. This would break our advertised min PHP requirement.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: issue23542_composer_php_compatibility 36b4712b

2017-10-25 00:05:30

vboctor

Details Diff
Force PHP compatibility for composer

Fixes 0023542
mod - composer.json Diff File

MantisBT: master c4f2dfd7

2017-10-25 00:05:30

vboctor

Details Diff
Force PHP compatibility for composer

Fixes 0023542
mod - composer.json Diff File

Issue History

Date Modified Username Field Change
2017-10-25 00:04 vboctor New Issue
2017-10-25 00:04 vboctor Status new => assigned
2017-10-25 00:04 vboctor Assigned To => vboctor
2017-10-25 00:06 vboctor Note Added: 0058049
2017-10-25 00:16 vboctor Changeset attached => MantisBT issue23542_composer_php_compatibility 36b4712b
2017-10-25 00:16 vboctor Status assigned => resolved
2017-10-25 00:16 vboctor Resolution open => fixed
2017-10-25 00:20 vboctor Status resolved => assigned
2017-10-25 00:20 vboctor Resolution fixed => open
2017-10-25 22:36 vboctor Changeset attached => MantisBT master c4f2dfd7
2017-10-25 22:36 vboctor Status assigned => resolved
2017-10-25 22:36 vboctor Resolution open => fixed
2017-10-25 22:36 vboctor Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed